# $Revision: 1.69.2.3 $, $Date: 2003/09/04 17:32:40 $
Summary:	Basic FHS 2.2 filesystem layout
Summary(de):	Grundlegende Dateisystemstruktur
Summary(fr):	Arborescence de base du systme de fichiers
Summary(pl):	Podstawowy ukad katalogw systemu Linux zgodny z FHS 2.2
Summary(tr):	Temel dosya sistemi yaps
Name:		FHS
Version:	2.2
Release:	13
License:	GPL
Group:		Base
URL:		http://www.pathname.com/fhs/
BuildRequires:	grep
BuildRequires:	textutils
PreReq:		setup
Provides:	filesystem
Obsoletes:	filesystem
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_locmandir	/usr/local/man
%define		_xmandir	/usr/X11R6/man
# directory for "privilege separation" chroot
%define		_privsepdir	/usr/share/empty
# directory for *.idl files (for CORBA implementations)
%define		_idldir		/usr/share/idl
%define		_oldidldir	/usr/X11R6/share/idl

%description
This package contains the basic directory layout for a Linux system,
including the proper permissions for the directories. This layout
conforms to the Filesystem Hierarchy Standard (FHS) 2.2.

%description -l de
Dieses Paket enthlt die grundlegende Verzeichnisstruktur eines
Linux-Systems, einschlielich der entsprechenden Zugriffsrechte. Diese
Struktur entspricht dem Filesystem Hierarchy Standard (FHS) 2.2.

%description -l fr
Ce package contient l'arborescence type pour systme Linux y compris
les permissions adquates pour les rpertoires. Cette arborescence est
conforme au standard \"Filesystem Hierarchy Standard\" (FHS) 2.2.

%description -l pl
Pakiet ten zawiera informacje o podstawowej strukturze katalogw
systemu i praw dostpu do nich. Struktura katalogw jest zgodna z FHS
2.2.

%description -l tr
Bu paket GNU makro ileme dilini ierir. Mantksal olarak
ayrtrlabilen metin dosyalar yazm iin yararldr.

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{bin,boot,dev,etc,home/{users,services},opt,sys} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{X11,opt,security} \
	$RPM_BUILD_ROOT/lib/{modules,security} \
	$RPM_BUILD_ROOT/{mnt/{cdrom,floppy},proc,root,sbin,tmp} \
	$RPM_BUILD_ROOT%{_prefix}/{bin,games,include/security,lib,sbin,share,src/examples} \
	$RPM_BUILD_ROOT%{_datadir}/{applications,dict,doc,games,info,misc,tmac} \
	$RPM_BUILD_ROOT%{_libdir}/games \
	$RPM_BUILD_ROOT%{_prefix}/local/{bin,games,include,lib,sbin,share/{doc,info},src} \
	$RPM_BUILD_ROOT/var/{lock/subsys,log,mail,run,spool} \
	$RPM_BUILD_ROOT/var/{cache,crash,db,games,lib/misc,local,opt,tmp} \
	$RPM_BUILD_ROOT{%{_idldir},%{_oldidldir}} \
	$RPM_BUILD_ROOT%{_fontsdir}/Type1/{afm,pfm} \
	$RPM_BUILD_ROOT%{_fontsdir}/TTF \
	$RPM_BUILD_ROOT%{_fontsdir}/misc \
	$RPM_BUILD_ROOT%{_privsepdir} \
	$RPM_BUILD_ROOT/usr/X11R6/share

for manp in man{1,2,3,4,5,6,7,8} ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/${manp}
	install -d $RPM_BUILD_ROOT%{_locmandir}/${manp}
	install -d $RPM_BUILD_ROOT%{_xmandir}/${manp}
	for mloc in bg cs da de el es fi fr gl hr hu id it ja ko nl pl pt pt_BR ro ru sl sk sv ; do
		install -d $RPM_BUILD_ROOT%{_mandir}/${mloc}/${manp}
	done
	for mloc in da fi fr hu it ja ko pl sk ; do
		install -d $RPM_BUILD_ROOT%{_xmandir}/${mloc}/${manp}
	done
done
install -d $RPM_BUILD_ROOT%{_mandir}/man{n,l}
install -d $RPM_BUILD_ROOT%{_mandir}/pl/mann

%clean
cd $RPM_BUILD_ROOT

# %{_rpmfilename} is not expanded, so use
# %{name}-%{version}-%{release}.%{buildarch}.rpm
RPMFILE=%{name}-%{version}-%{release}.%{buildarch}.rpm
TMPFILE=%{name}-%{version}.tmp$$
find . | sed -e 's|^\.||g' -e 's|^$||g' | sort | grep -v $TMPFILE > $TMPFILE

# find finds also '.', so use option -B for diff
if rpm -qpl %{_rpmdir}/$RPMFILE | grep -v '^/$' | sort | diff -uB $TMPFILE - ; then
	rm -rf $RPM_BUILD_ROOT
else
	echo -e "\nNot so good, some directories are not included in package\n"
	exit 1;
fi

%files
%defattr(644,root,root,755)
%dir /
/bin
/boot
/dev
%dir /etc
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/opt
%attr(751,root,root) %dir /etc/security
%dir /home
/home/users
%attr(751,root,root) /home/services
/lib
/mnt
/opt
%attr(555,root,proc) %verify(not group) /proc
%attr(700,root,root) /root
%dir /sbin
%dir /sys
%attr(1777,root,root) /tmp
%dir %{_prefix}
%{_prefix}/bin
%{_prefix}/games
%{_prefix}/include
%{_prefix}/lib
%{_prefix}/sbin
%dir %{_prefix}/share
%{_datadir}/applications
%{_datadir}/dict
%{_datadir}/doc
%{_privsepdir}
%{_fontsdir}
%{_idldir}
%{_oldidldir}
%{_datadir}/games
%{_datadir}/info
%dir %{_mandir}
%dir %{_mandir}/man*
%lang(bg) %{_mandir}/bg
%lang(cs) %{_mandir}/cs
%lang(da) %{_mandir}/da
%lang(de) %{_mandir}/de
%lang(el) %{_mandir}/el
%lang(es) %{_mandir}/es
%lang(fi) %{_mandir}/fi
%lang(fr) %{_mandir}/fr
%lang(gl) %{_mandir}/gl
%lang(hr) %{_mandir}/hr
%lang(hu) %{_mandir}/hu
%lang(id) %{_mandir}/id
%lang(it) %{_mandir}/it
%lang(ja) %{_mandir}/ja
%lang(ko) %{_mandir}/ko
%lang(nl) %{_mandir}/nl
%lang(pl) %{_mandir}/pl
%lang(pt) %{_mandir}/pt
%lang(pt_BR) %{_mandir}/pt_BR
%lang(ro) %{_mandir}/ro
%lang(ru) %{_mandir}/ru
%lang(sl) %{_mandir}/sl
%lang(sk) %{_mandir}/sk
%lang(sv) %{_mandir}/sv
%{_datadir}/misc
%{_datadir}/tmac
%{_prefix}/src
%dir %{_prefix}/local
%{_prefix}/local/bin
%{_prefix}/local/games
%{_prefix}/local/include
%{_prefix}/local/lib
%{_prefix}/local/sbin
%dir %{_prefix}/local/share
%{_prefix}/local/share/doc
%{_prefix}/local/share/info
%{_locmandir}
%{_prefix}/local/src
%dir /usr/X11R6
%dir %{_xmandir}
%{_xmandir}/man*
%lang(da) %{_xmandir}/da
%lang(fi) %{_xmandir}/fi
%lang(fr) %{_xmandir}/fr
%lang(hu) %{_xmandir}/hu
%lang(it) %{_xmandir}/it
%lang(ja) %{_xmandir}/ja
%lang(ko) %{_xmandir}/ko
%lang(pl) %{_xmandir}/pl
%lang(sk) %{_xmandir}/sk
%dir /usr/X11R6/share

%dir /var
/var/cache
%dir /var/crash
%dir /var/db
%dir /var/games
%dir /var/lib
%dir /var/lib/misc
%dir /var/local
%attr(1771,root,uucp) %dir /var/lock
%attr(700,root,root) %dir /var/lock/subsys
%attr(751,root,root) /var/log
%attr(775,root,mail) /var/mail
%dir /var/opt
%dir /var/run
%dir /var/spool
%attr(1777,root,root) %dir /var/tmp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: FHS.spec,v $
Revision 1.69.2.3  2003/09/04 17:32:40  adamg
- fixing the fix, I hope

Revision 1.69.2.2  2003/09/04 17:18:19  blues
- release 13 - added new location of idls (because of ORBit2)

Revision 1.69.2.1  2003/09/03 18:12:04  blues
- release 12 - fixed idldir location

Revision 1.69  2003/09/03 18:10:04  blues
- release 12 (sync with RA)

Revision 1.68  2003/08/14 11:03:24  adgor
- Added %%{_datadir}/applications
- Release 11

Revision 1.67  2003/08/12 15:08:19  qboosh
- cleanups, mainly in preambles

Revision 1.66  2003/08/10 11:48:43  qboosh
- added dir for el manuals, release 10

Revision 1.65  2003/07/26 16:41:48  qboosh
- added /usr/include/security dir (used by opie-devel,pam-devel,skey-devel)
- release 9

Revision 1.64  2003/06/25 08:51:39  wrobell
- added /usr/share/fonts/misc directory

Revision 1.63  2003/06/21 14:45:12  wrobell
- added /usr/share/fonts/TTF directory
- rel. 8

Revision 1.62  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/03/11 22:25:13  qboosh
- added dir for ro manuals; release 7

Revision 1.60  2003/03/08 23:05:14  blues
- release 6 - added /sys dir - for new sysfs in kernel 2.5

Revision 1.59  2003/02/27 14:42:33  qboosh
- changed idl dir to /usr/share/idl; release 5 (NOT for Ra!)

Revision 1.58  2003/01/22 21:15:40  qboosh
- added missing dirs, required by FHS 2.2: /usr/local/include, /var/local
- added %%{_mandir}/pl/mann dir (we have some pl man pages for tcl)
- release 4

Revision 1.57  2003/01/19 18:44:25  qboosh
- added dir for gl manuals; release 3

Revision 1.56  2003/01/07 16:19:11  wrobell
- rel. 2

Revision 1.55  2003/01/07 08:03:21  trojan
- s/2.1/2.2/

Revision 1.54  2002/12/20 22:35:12  qboosh
- eeeh, let it be - it's 2.2 conforming at the same level as was with 2.1

Revision 1.53  2002/12/19 23:57:20  qboosh
- ugh, /var/lock/subsys was writable for uucp group - fixed
- release 26, STBR (even for updates/security)

Revision 1.52  2002/07/15 20:24:25  qboosh
- added %%{_xmandir}/sk dir
- removed %%ghost from dirs - it caused problems: rpm -V complained about
  missing dirs and permissions weren't set correctly during upgrade
- release 25

Revision 1.51  2002/06/25 07:58:10  qboosh
- added /usr/share/empty as commot privilege separation dir; release 24

Revision 1.50  2002/06/10 14:51:16  ankry
- international mandirs made %%ghost; they are now created while the
  appropriate manpages are installed
- release 23

Revision 1.49  2002/05/17 11:22:43  ankry
- Oops, restoret /var/log attributes
- 1771,root/uucp on /var/lock

Revision 1.48  2002/05/17 10:48:42  ankry
- changed /var/log owner/permissions (4771 root/uucp)
- added more _xmandir subdirs for national man pages
- release 22

Revision 1.47  2002/04/04 00:26:11  kloczek
- release 21.

Revision 1.46  2002/03/30 22:43:14  qboosh
- fixed mann dir
- added manl dir (used by e.g. postgresql for SQL commands manuals)

Revision 1.45  2002/03/30 18:39:19  mmazur
- fixed; builds ok... STBR???????????????

Revision 1.44  2002/03/30 18:16:09  mmazur
- let's call it a typo

Revision 1.43  2002/03/09 20:57:46  qboosh
- release 20: added dirs for X11R6 it,ko,pl manuals

Revision 1.42  2002/03/08 21:28:47  qboosh
- release 19: added directory for X11R6 ja manuals

Revision 1.41  2002/03/06 00:02:30  qboosh
- towards FHS 2.2: locmandir changed to /usr/local/man (still 2.1-compliant)
- release 18

Revision 1.40  2002/03/04 12:38:12  kloczek
- release 17.

Revision 1.39  2002/03/04 10:38:11  gotar
- removed %{_applnkdir} - it belongs to applnk.

Revision 1.38  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/02/20 11:32:27  qboosh
- added /home/services directory, release 16

Revision 1.36  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2002/01/03 23:01:22  gotar
- added BuildRequires: {grep,textutils} (%clean section).

Revision 1.34  2001/12/13 02:38:27  gotar
- fixed Linux name spelling.

Revision 1.33  2001/11/26 10:24:03  kloczek
- reverte last changes (%%{_libdir}/pkgconfig is in pkgconfig package).

Revision 1.32  2001/11/25 16:13:07  gotar
- added %{_libdir}/pkgconfig dir to the package contents,
- release 16.

Revision 1.31  2001/11/02 01:28:00  qboosh
- added directories for id manuals
- added /usr/src/examples directory
- release 15

Revision 1.30  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.29  2001/10/15 21:50:32  qboosh
- relese 14: added dir for hr manpages

Revision 1.28  2001/09/16 16:55:38  qboosh
- oops... added %%{_mandir}/{hu,ko} to %%files too

Revision 1.27  2001/09/16 13:56:30  qboosh
- release 13: added %%{_mandir}/{hu,ko}/man[1-8] dirs

Revision 1.26  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.25  2001/08/03 16:44:33  qboosh
- added %verify(not group) to /proc (can be root or proc depending on kernel)
- added Group(de)
- release 12

Revision 1.24  2001/07/17 06:34:55  gotar
- reverted /proc group to 'proc,
- cya.

Revision 1.23  2001/07/16 17:25:12  gotar
- changed /proc group from 'proc' to 'root';
  that's the way 2.4.x kernels handle it.

Revision 1.22  2001/07/15 10:43:22  kloczek
- release 11.

Revision 1.21  2001/07/15 10:21:34  qboosh
- added URL

Revision 1.20  2001/07/10 16:07:30  qboosh
- added /usr/lib/games (acc. to FHS 2.1 p. 4.7 - optional)
- release 10

Revision 1.19  2001/07/05 17:30:47  gotar
- removed /etc/profile.d from package contents, it's in setup,
- release 9.

Revision 1.18  2001/07/03 16:18:05  qboosh
- removed %%{_fontsdir}/latin2 directory (to reflect last XFree86-fonts changes)
- release 8

Revision 1.17  2001/04/26 23:32:41  qboosh
- added /usr/share/fonts/Type1/{afm,pfm} dirs (one of them maybe temporarily)
- missing dirs: / and /dev
- release 7

Revision 1.16  2001/04/12 00:56:29  qboosh
- added /usr/X11R6/share/idl and /usr/share/fonts{,/Type1,/latin2} dirs
- release 6

Revision 1.15  2001/04/09 18:12:07  klakier
- Release 5
  /boot permisions changed from 700 to 755

Revision 1.14  2001/03/14 13:00:04  marcus
- fixed /proc group to "proc"
- release 4

Revision 1.13  2001/03/07 16:21:20  kloczek
- release 3.

Revision 1.12  2001/03/07 00:53:51  qboosh
- added man subdirs (localized too)

Revision 1.11  2000/07/21 17:22:28  mis
- added missing directories
- add created package content validation in %clean

Revision 1.10  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.9  2000/04/25 16:16:47  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.8  2000/04/19 18:30:46  kloczek
- version 1.1,
- removed /var/account - this directory must belong to processaccounting
  tools package (psacct).

Revision 1.7  2000/04/01 20:19:35  kloczek
- release 1,
- PAM related fix: 751 on /etc/security.

Revision 1.6  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitions
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.5  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.4  2000/03/23 16:35:19  jasio
Poprawka bdu ortograficznego.

Revision 1.3  2000/03/09 00:40:37  wiget
- name is FHS not filesystem

Revision 1.2  2000/03/09 00:29:57  wiget
- no scripts!

Revision 1.1  2000/03/03 19:19:24  kloczek
- initial version package with base filesystem hierarchy structure compliant
  with FHS 2.0 (this package obsoletets filesystem).
